# DaprProtos.GetWorkflowResponse (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.GetWorkflowResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprProtos.GetWorkflowResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetWorkflowResponseOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

    public static final class DaprProtos.GetWorkflowResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprProtos.GetWorkflowResponseOrBuilder

     GetWorkflowResponse is the response for GetWorkflowBeta1.

Protobuf type `dapr.proto.runtime.v1.GetWorkflowResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprProtos.GetWorkflowResponse.Builder` GetWorkflowResponse is the response for GetWorkflowBeta1.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CREATED_AT_FIELD_NUMBER`
`static int` `INSTANCE_ID_FIELD_NUMBER`
`static int` `LAST_UPDATED_AT_FIELD_NUMBER`
`static int` `PROPERTIES_FIELD_NUMBER`
`static int` `RUNTIME_STATUS_FIELD_NUMBER`
`static int` `WORKFLOW_NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsProperties​(String key)` Additional component-specific properties of the workflow instance.
`boolean` `equals​(Object obj)`
`com.google.protobuf.Timestamp` `getCreatedAt()` The time at which the workflow instance was created.
`com.google.protobuf.TimestampOrBuilder` `getCreatedAtOrBuilder()` The time at which the workflow instance was created.
`static DaprProtos.GetWorkflowResponse` `getDefaultInstance()`
`DaprProtos.GetWorkflowResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`String` `getInstanceId()` ID of the workflow instance.
`com.google.protobuf.ByteString` `getInstanceIdBytes()` ID of the workflow instance.
`com.google.protobuf.Timestamp` `getLastUpdatedAt()` The last time at which the workflow instance had its state changed.
`com.google.protobuf.TimestampOrBuilder` `getLastUpdatedAtOrBuilder()` The last time at which the workflow instance had its state changed.
`com.google.protobuf.Parser<DaprProtos.GetWorkflowResponse>` `getParserForType()`
`Map<String,​String>` `getProperties()` Deprecated.
`int` `getPropertiesCount()` Additional component-specific properties of the workflow instance.
`Map<String,​String>` `getPropertiesMap()` Additional component-specific properties of the workflow instance.
`String` `getPropertiesOrDefault​(String key, String defaultValue)` Additional component-specific properties of the workflow instance.
`String` `getPropertiesOrThrow​(String key)` Additional component-specific properties of the workflow instance.
`String` `getRuntimeStatus()` The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`com.google.protobuf.ByteString` `getRuntimeStatusBytes()` The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`String` `getWorkflowName()` Name of the workflow.
`com.google.protobuf.ByteString` `getWorkflowNameBytes()` Name of the workflow.
`boolean` `hasCreatedAt()` The time at which the workflow instance was created.
`int` `hashCode()`
`boolean` `hasLastUpdatedAt()` The last time at which the workflow instance had its state changed.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprProtos.GetWorkflowResponse.Builder` `newBuilder()`
`static DaprProtos.GetWorkflowResponse.Builder` `newBuilder​(DaprProtos.GetWorkflowResponse prototype)`
`DaprProtos.GetWorkflowResponse.Builder` `newBuilderForType()`
`protected DaprProtos.GetWorkflowResponse.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.GetWorkflowResponse` `parseDelimitedFrom​(InputStream input)`
`static DaprProtos.GetWorkflowResponse` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(byte[] data)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(InputStream input)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(ByteBuffer data)`
`static DaprProtos.GetWorkflowResponse` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.GetWorkflowResponse>` `parser()`
`DaprProtos.GetWorkflowResponse.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### INSTANCE_ID_FIELD_NUMBER

    public static final int INSTANCE_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### WORKFLOW_NAME_FIELD_NUMBER

    public static final int WORKFLOW_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### CREATED_AT_FIELD_NUMBER

    public static final int CREATED_AT_FIELD_NUMBER

See Also:
  Constant Field Values

#### LAST_UPDATED_AT_FIELD_NUMBER

    public static final int LAST_UPDATED_AT_FIELD_NUMBER

See Also:
  Constant Field Values

#### RUNTIME_STATUS_FIELD_NUMBER

    public static final int RUNTIME_STATUS_FIELD_NUMBER

See Also:
  Constant Field Values

#### PROPERTIES_FIELD_NUMBER

    public static final int PROPERTIES_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getInstanceId

    public String getInstanceId()

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceId` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The instanceId.

#### getInstanceIdBytes

    public com.google.protobuf.ByteString getInstanceIdBytes()

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceIdBytes` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The bytes for instanceId.

#### getWorkflowName

    public String getWorkflowName()

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Specified by:
  `getWorkflowName` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The workflowName.

#### getWorkflowNameBytes

    public com.google.protobuf.ByteString getWorkflowNameBytes()

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Specified by:
  `getWorkflowNameBytes` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The bytes for workflowName.

#### hasCreatedAt

    public boolean hasCreatedAt()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

Specified by:
  `hasCreatedAt` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  Whether the createdAt field is set.

#### getCreatedAt

    public com.google.protobuf.Timestamp getCreatedAt()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

Specified by:
  `getCreatedAt` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The createdAt.

#### getCreatedAtOrBuilder

    public com.google.protobuf.TimestampOrBuilder getCreatedAtOrBuilder()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

Specified by:
  `getCreatedAtOrBuilder` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### hasLastUpdatedAt

    public boolean hasLastUpdatedAt()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

Specified by:
  `hasLastUpdatedAt` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  Whether the lastUpdatedAt field is set.

#### getLastUpdatedAt

    public com.google.protobuf.Timestamp getLastUpdatedAt()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

Specified by:
  `getLastUpdatedAt` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The lastUpdatedAt.

#### getLastUpdatedAtOrBuilder

    public com.google.protobuf.TimestampOrBuilder getLastUpdatedAtOrBuilder()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

Specified by:
  `getLastUpdatedAtOrBuilder` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getRuntimeStatus

    public String getRuntimeStatus()

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Specified by:
  `getRuntimeStatus` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The runtimeStatus.

#### getRuntimeStatusBytes

    public com.google.protobuf.ByteString getRuntimeStatusBytes()

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Specified by:
  `getRuntimeStatusBytes` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The bytes for runtimeStatus.

#### getPropertiesCount

    public int getPropertiesCount()

Description copied from interface: `DaprProtos.GetWorkflowResponseOrBuilder`

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `getPropertiesCount` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### containsProperties

    public boolean containsProperties​(String key)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `containsProperties` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getProperties

    @Deprecated
    public Map<String,​String> getProperties()

Deprecated.
Use `getPropertiesMap()` instead.

Specified by:
  `getProperties` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getPropertiesMap

    public Map<String,​String> getPropertiesMap()

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `getPropertiesMap` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getPropertiesOrDefault

    public String getPropertiesOrDefault​(String key,
                                         String defaultValue)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `getPropertiesOrDefault` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getPropertiesOrThrow

    public String getPropertiesOrThrow​(String key)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `getPropertiesOrThrow` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(ByteBuffer data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(ByteBuffer data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(com.google.protobuf.ByteString data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(com.google.protobuf.ByteString data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(byte[] data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(byte[] data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(InputStream input)
                                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.GetWorkflowResponse parseDelimitedFrom​(InputStream input)
                                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.GetWorkflowResponse parseDelimitedFrom​(InputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.GetWorkflowResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprProtos.GetWorkflowResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprProtos.GetWorkflowResponse.Builder newBuilder()

#### newBuilder

    public static DaprProtos.GetWorkflowResponse.Builder newBuilder​(DaprProtos.GetWorkflowResponse prototype)

#### toBuilder

    public DaprProtos.GetWorkflowResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprProtos.GetWorkflowResponse.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprProtos.GetWorkflowResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprProtos.GetWorkflowResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprProtos.GetWorkflowResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprProtos.GetWorkflowResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`